Bug 254506 - Move devel/valgrind to be based on release version of Valgrind 3.17
Summary: Move devel/valgrind to be based on release version of Valgrind 3.17
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jung-uk Kim
URL:
Keywords:
Depends on: 254687
Blocks:
  Show dependency treegraph
 
Reported: 2021-03-23 13:38 UTC by Paul Floyd
Modified: 2021-04-09 07:14 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (zeising)


Attachments
patch for devel/valgrind (21.87 KB, patch)
2021-03-23 13:38 UTC, Paul Floyd
no flags Details | Diff
patch for devel/valgrind (21.66 KB, patch)
2021-04-01 09:41 UTC, Paul Floyd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Floyd 2021-03-23 13:38:08 UTC
Created attachment 223525 [details]
patch for devel/valgrind

I'm asking to be maintainer of this port.

This switches this port to use https://github.com/paulfloyd/freebsd_valgrind as near as possible to the same level as the upstream tag VALGRIND_3_17_0.
Comment 1 Niclas Zeising freebsd_committer 2021-03-24 07:17:28 UTC
Approved. Thanks for taking care of Valgrind!
Comment 2 Paul Floyd 2021-04-01 09:41:44 UTC
Created attachment 223744 [details]
patch for devel/valgrind

Correction for manpages, see

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=254687
Comment 3 Jung-uk Kim freebsd_committer 2021-04-08 22:20:13 UTC
It seems zeising forgot to commit it.  I'll do it.
Comment 4 commit-hook freebsd_committer 2021-04-08 22:37:58 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4395c84bf891613c3c76551b96a797e58bdde0e9

commit 4395c84bf891613c3c76551b96a797e58bdde0e9
Author:     Paul Floyd <pjfloyd@wanadoo.fr>
AuthorDate: 2021-04-08 22:32:42 +0000
Commit:     Jung-uk Kim <jkim@FreeBSD.org>
CommitDate: 2021-04-08 22:36:34 +0000

    devel/valgrind: Update to be based on release version of Valgrind 3.17

    Also, re-assign the submitter as maintainer.

    PR:             254506
    Approved by:    zeising (maintainer)

 devel/valgrind/Makefile  |  73 +++++------
 devel/valgrind/distinfo  |   5 +-
 devel/valgrind/pkg-descr |  17 ++-
 devel/valgrind/pkg-plist | 311 ++++++++++++++++++++++++++---------------------
 4 files changed, 216 insertions(+), 190 deletions(-)
Comment 5 Jung-uk Kim freebsd_committer 2021-04-08 22:38:47 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2021-04-08 23:32:08 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4c65f1b552d5b600e344b2fbe1a30b6625fca533

commit 4c65f1b552d5b600e344b2fbe1a30b6625fca533
Author:     Paul Floyd <pjfloyd@wanadoo.fr>
AuthorDate: 2021-04-08 22:32:42 +0000
Commit:     Jung-uk Kim <jkim@FreeBSD.org>
CommitDate: 2021-04-08 23:30:43 +0000

    devel/valgrind: Update to be based on release version of Valgrind 3.17

    Also, re-assign the submitter as maintainer.

    PR:             254506
    Approved by:    zeising (maintainer)

    (cherry picked from commit 4395c84bf891613c3c76551b96a797e58bdde0e9)

 devel/valgrind/Makefile  |  73 +++++------
 devel/valgrind/distinfo  |   5 +-
 devel/valgrind/pkg-descr |  17 ++-
 devel/valgrind/pkg-plist | 311 ++++++++++++++++++++++++++---------------------
 4 files changed, 216 insertions(+), 190 deletions(-)
Comment 7 Ivan Rozhuk 2021-04-09 05:34:30 UTC
Old patches must be removed, I suppose

===>  Patching for valgrind-devel-3.17.0.g20210319,1
===>  Applying FreeBSD patches for valgrind-devel-3.17.0.g20210319,1 from /usr/ports/devel/valgrind/files
1 out of 1 hunks failed--saving rejects to VEX/auxprogs/genoffsets.c.rej
===>  FAILED Applying FreeBSD patch-VEX_auxprogs_genoffsets.c
===> FAILED to apply cleanly FreeBSD patch(es)  patch-VEX_auxprogs_genoffsets.c
*** Error code 1
Comment 8 Paul Floyd 2021-04-09 06:05:00 UTC
Yes, everything is now in the repo.
Comment 9 Ivan Rozhuk 2021-04-09 06:51:02 UTC
(In reply to Paul Floyd from comment #8)

If you mean 4395c84bf891613c3c76551b96a797e58bdde0e9 - it can not build due to patch error.
Nothing changed after this commit in: https://cgit.freebsd.org/ports/tree/devel/valgrind/files
Comment 10 Paul Floyd 2021-04-09 07:14:57 UTC
(In reply to rozhuk.im from comment #9)

Probably my mistake - must have done a simple rm -rf rather than an svn delete.

The files directory and contents needs to be removed.